Bug 150972 - SIGFPE in _mesa_test_os_sse_exception_support of radeon DRI module
SIGFPE in _mesa_test_os_sse_exception_support of radeon DRI module
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-12 23:43 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-13 01:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-03-12 23:43:20 EST
Running trackballs in xorg-x11 6.8.2-10 causes a SIGFPE. The CPU is a Sempron 2200+.

http://fedora.ivazquez.net/yum/3/i386/RPMS.ivazquez/trackballs-1.1.0-0.iva.1.i386.rpm

Program received signal SIGFPE, Arithmetic exception.
[Switching to Thread -1209001760 (LWP 11995)]
0x010acf8c in _mesa_test_os_sse_exception_support ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
(gdb) bt
#0  0x010acf8c in _mesa_test_os_sse_exception_support ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
#1  0x010aceb2 in _mesa_init_all_x86_transform_asm ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
#2  0x01029c0f in _math_init () from /usr/X11R6/lib/modules/dri/radeon_dri.so
#3  0x00faa482 in _mesa_initialize_context ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
#4  0x00faa91d in _mesa_create_context ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
#5  0x010b7899 in radeonCreateContext ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
#6  0x010b6433 in driCreateNewContext ()
   from /usr/X11R6/lib/modules/dri/radeon_dri.so
#7  0x004f6b46 in glXChooseFBConfigSGIX () from /usr/X11R6/lib/libGL.so.1
#8  0x004f703d in glXCreateContext () from /usr/X11R6/lib/libGL.so.1
#9  0x030a82ea in X11_GL_CreateContext () from /usr/lib/libSDL-1.2.so.0
#10 0x030ad47d in X11_CheckMouseMode () from /usr/lib/libSDL-1.2.so.0
#11 0x030a2cdd in SDL_SetVideoMode () from /usr/lib/libSDL-1.2.so.0
Comment 1 Kristian Høgsberg 2005-03-13 01:08:00 EST
This is not an error, this is how mesa probes that capabilities of your CPU. 
Notice the name of the innermost function in the traceback:

  _mesa_test_os_sse_exception_support

The exception is intentional and only shows up when you run the program under
gdb.  If the program also crashes when you run it outside gdb, and you want to
debug this, press 'c' to resume excecution.  The next crash should be the real
thing which you can then investigate.

Note You need to log in before you can comment on or make changes to this bug.